package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MusicGroupPaymentCalenderBase extends BaseEntity {
    private long id;

    @ApiModelProperty(value = "数量", required = false)
    private BigDecimal num;

    @ApiModelProperty(value = "申请价格", required = false)
    private BigDecimal actualAmount;

    @ApiModelProperty(value = "原价", required = false)
    private BigDecimal originalAmount;

    @ApiModelProperty(value = "是否必选", required = false)
    private Boolean optionalFlag = false;

    @ApiModelProperty(value = "缴费项目编号", required = false)
    private Long calenderId;

    private Date createTime;

    private Date updateTime;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public BigDecimal getOriginalAmount() {
        return originalAmount;
    }

    public void setOriginalAmount(BigDecimal originalAmount) {
        this.originalAmount = originalAmount;
    }

    public Long getCalenderId() {
        return calenderId;
    }

    public void setCalenderId(Long calenderId) {
        this.calenderId = calenderId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getOptionalFlag() {
        return optionalFlag;
    }

    public void setOptionalFlag(Boolean optionalFlag) {
        this.optionalFlag = optionalFlag;
    }

    public BigDecimal getNum() {
        return num;
    }

    public void setNum(BigDecimal num) {
        this.num = num;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }
}
